Skip to content

Instantly share code, notes, and snippets.

@Kunsi
Created Jan 21, 2020
Embed
What would you like to do?
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: ERROR 2020-01-21 17:06:04,271 django.request log Internal Server Error: /orga/event/infosession20/schedule/release
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: Traceback (most recent call last):
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/mail/models.py", line 111, in to_mail
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: text = str(self.text).format(**context)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: KeyError: 'speakers'
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: During handling of the above exception, another exception occurred:
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: Traceback (most recent call last):
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/exception.py", line 34, in inner
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = get_response(request)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/base.py", line 115, in _get_response
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = self.process_exception_by_middleware(e, request)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/base.py", line 113, in _get_response
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = wrapped_callback(request, *callback_args, **callback_kwargs)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/base.py", line 71, in view
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return self.dispatch(request, *args, **kwargs)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/contrib/auth/mixins.py", line 85, in dispatch
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return super().dispatch(request, *args, **kwargs)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/base.py", line 97, in dispatch
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return handler(request, *args, **kwargs)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/edit.py", line 133, in get
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return self.render_to_response(self.get_context_data())
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django_context_decorator.py", line 42, in new_get_context_data
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: attr = attr()
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/orga/views/schedule.py", line 129, in notifications
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return len(self.request.event.wip_schedule.notifications)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/utils/functional.py", line 80, in __get__
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: res = instance.__dict__[self.name] = self.func(instance)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/schedule/models/schedule.py", line 367, in notifications
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: user=speaker, event=self.event, context=context, commit=False
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/mail/models.py", line 119, in to_mail
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: f"Experienced KeyError when rendering email text: {str(e)}"
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: pretalx.common.mail.SendMailException: Experienced KeyError when rendering email text: 'speakers'
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: ERROR 2020-01-21 17:06:04,271 django.request log Internal Server Error: /orga/event/infosession20/schedule/release
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: Traceback (most recent call last):
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/mail/models.py", line 111, in to_mail
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: text = str(self.text).format(**context)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: KeyError: 'speakers'
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: During handling of the above exception, another exception occurred:
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: Traceback (most recent call last):
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/exception.py", line 34, in inner
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = get_response(request)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/base.py", line 115, in _get_response
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = self.process_exception_by_middleware(e, request)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/base.py", line 113, in _get_response
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = wrapped_callback(request, *callback_args, **callback_kwargs)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/base.py", line 71, in view
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return self.dispatch(request, *args, **kwargs)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/contrib/auth/mixins.py", line 85, in dispatch
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return super().dispatch(request, *args, **kwargs)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/base.py", line 97, in dispatch
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return handler(request, *args, **kwargs)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/edit.py", line 133, in get
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return self.render_to_response(self.get_context_data())
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django_context_decorator.py", line 42, in new_get_context_data
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: attr = attr()
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/orga/views/schedule.py", line 129, in notifications
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return len(self.request.event.wip_schedule.notifications)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/utils/functional.py", line 80, in __get__
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: res = instance.__dict__[self.name] = self.func(instance)
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/schedule/models/schedule.py", line 367, in notifications
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: user=speaker, event=self.event, context=context, commit=False
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/mail/models.py", line 119, in to_mail
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: f"Experienced KeyError when rendering email text: {str(e)}"
Jan 21 17:06:04 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: pretalx.common.mail.SendMailException: Experienced KeyError when rendering email text: 'speakers'
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: ERROR 2020-01-21 17:06:16,624 django.request log Internal Server Error: /orga/event/infosession20/schedule/release
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: Traceback (most recent call last):
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/mail/models.py", line 111, in to_mail
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: text = str(self.text).format(**context)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: KeyError: 'speakers'
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: During handling of the above exception, another exception occurred:
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: Traceback (most recent call last):
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/exception.py", line 34, in inner
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = get_response(request)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/base.py", line 115, in _get_response
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = self.process_exception_by_middleware(e, request)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/base.py", line 113, in _get_response
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = wrapped_callback(request, *callback_args, **callback_kwargs)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/base.py", line 71, in view
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return self.dispatch(request, *args, **kwargs)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/contrib/auth/mixins.py", line 85, in dispatch
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return super().dispatch(request, *args, **kwargs)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/base.py", line 97, in dispatch
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return handler(request, *args, **kwargs)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/edit.py", line 133, in get
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return self.render_to_response(self.get_context_data())
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django_context_decorator.py", line 42, in new_get_context_data
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: attr = attr()
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/orga/views/schedule.py", line 129, in notifications
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return len(self.request.event.wip_schedule.notifications)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/utils/functional.py", line 80, in __get__
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: res = instance.__dict__[self.name] = self.func(instance)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/schedule/models/schedule.py", line 367, in notifications
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: user=speaker, event=self.event, context=context, commit=False
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/mail/models.py", line 119, in to_mail
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: f"Experienced KeyError when rendering email text: {str(e)}"
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: pretalx.common.mail.SendMailException: Experienced KeyError when rendering email text: 'speakers'
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: ERROR 2020-01-21 17:06:16,624 django.request log Internal Server Error: /orga/event/infosession20/schedule/release
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: Traceback (most recent call last):
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/mail/models.py", line 111, in to_mail
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: text = str(self.text).format(**context)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: KeyError: 'speakers'
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: During handling of the above exception, another exception occurred:
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: Traceback (most recent call last):
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/exception.py", line 34, in inner
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = get_response(request)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/base.py", line 115, in _get_response
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = self.process_exception_by_middleware(e, request)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/core/handlers/base.py", line 113, in _get_response
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: response = wrapped_callback(request, *callback_args, **callback_kwargs)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/base.py", line 71, in view
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return self.dispatch(request, *args, **kwargs)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/contrib/auth/mixins.py", line 85, in dispatch
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return super().dispatch(request, *args, **kwargs)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/base.py", line 97, in dispatch
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return handler(request, *args, **kwargs)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/views/generic/edit.py", line 133, in get
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return self.render_to_response(self.get_context_data())
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django_context_decorator.py", line 42, in new_get_context_data
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: attr = attr()
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/orga/views/schedule.py", line 129, in notifications
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: return len(self.request.event.wip_schedule.notifications)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/django/utils/functional.py", line 80, in __get__
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: res = instance.__dict__[self.name] = self.func(instance)
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/schedule/models/schedule.py", line 367, in notifications
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: user=speaker, event=self.event, context=context, commit=False
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: File "/usr/local/lib/python3.6/dist-packages/pretalx/mail/models.py", line 119, in to_mail
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: f"Experienced KeyError when rendering email text: {str(e)}"
Jan 21 17:06:16 pretalx.smedia.pb-8.smhss.de gunicorn[43714]: pretalx.common.mail.SendMailException: Experienced KeyError when rendering email text: 'speakers'
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment